.woocommerce-cart {
    .page__content {
        padding-top: 80px;

        .container {
            > .row {
                max-width: 100%;
                margin: 0;

                > * {
                    padding: 0;
                    max-width: 100%;
                    width: 100% !important;
                }
            }
        }
    }
}

    
:root :where(.wp-block-woocommerce-cart) {
    max-width: 100%;
    width: 100% !important;
    margin: 0;

	table.wc-block-cart-items {
        margin: 0;
        border-bottom: none;
        background-color: var(--bs-body-bg) !important;
        border-radius: 8px;
        box-shadow: 0 1px 3px rgba(3,0,71,.09);

        .wc-block-cart-items__header {
            th {
                font-weight: 600;
                padding: 1rem 1.5rem;
                text-transform: uppercase;
                letter-spacing: 1px;
                font-size: .75rem;
                background-color: #f5f4f8;
                line-height: 1.6;
            }
        }

        td {
            padding: 1rem 0;
            border-top: none;
            margin: 0;

            &.wc-block-cart-item__product {
                padding-left: 1rem;
            }
        }

        tr td {
            border-top: 1px solid  var(--bs-border-color);
        }

        .wc-block-components-product-name {
            font-weight: 500;
            line-height: 24px; 
            text-decoration: none;
            color: var(--bs-dark);
        }

        .wc-block-cart-item__prices {
            .wc-block-components-product-price {
                display: flex;
                gap: 5px;
                color: var(--bs-dark);

                del {
                    color: var(--bs-secondary);
                    order:2;
                    font-size: 14px;
                }

                ins {
                    margin-left: 0;
                    order:1;
                }
            }
        }   

        .wc-block-cart-items__row {
            .wc-block-components-quantity-selector,
            .wc-block-cart-item__wrap > * {
                margin: 0;
            }

            .wc-block-components-quantity-selector {
                padding: 6px;
                border-radius: 4px;
                width: 84px;
                gap:2px;
                border: 1px solid #dbd8e9;
                color: var(--bs-dark);

                .wc-block-components-quantity-selector__input {
                    padding: 0;
                    min-width: 0;
                    font-size: 12px;
                    min-height: 10px;
                    font-weight: 500;
                    line-height: 16px; 
                }

                .wc-block-components-quantity-selector__button {
                    display: flex;
                    min-width:14px;
                    justify-content: center;
                    align-items: center;
                    padding:0;
                    border-radius: 9px 0 0 9px;
                    opacity:1;
                }

                .wc-block-components-quantity-selector__input,
                .wc-block-components-quantity-selector__button {
                    &:focus {
                        box-shadow: none;
                    }
                }

                &:after {
                    border:0;
                }
            }

            .wc-block-cart-item__quantity {
                display: flex;
                gap: 14px;
                flex-direction: column;
                align-self:start !important;
            }

            .wc-block-cart-item__wrap {
                display: flex;
                flex-direction: column;
                gap: 10px;

                > *:empty {
                    display: none;
                }
            }

            .wc-block-cart-item__image {
                padding-right: 0;
                a {
                    display: block;
                    width: 84px;
                    height: 84px;
                    border-radius: 8px;

                    img {
                        border-radius: 8px;
                        aspect-ratio: 1;
                    }
                }
            }
        }
    }

    .wp-block-woocommerce-cart-totals-block {
        padding: 24px;
        background-color: var(--bs-body-bg);
        border-radius: 8px;
        display: flex;
        flex-direction: column;
        gap: 15px;
        box-shadow: 0 1px 3px rgba(3,0,71,.09);


        .wc-block-cart__payment-options:empty {
            display: none;
        }

        .wc-block-cart__totals-title {
            padding: 0;
            text-transform: none;
            color: var(--bs-dark);
            font-size: 1.25rem;
            font-weight: 500;
            line-height: 1.4;
            letter-spacing: -.022rem;
            margin-bottom: 16px;
        }

        .wp-block-woocommerce-cart-order-summary-totals-block {
            margin: 0;
            display: flex;
            flex-direction: column;
            
            .wc-block-components-totals-item__label {
                color: var(--bs-dark);
                font-weight: 700;
            }
        }

        .wp-block-woocommerce-cart-order-summary-totals-block:not(:has(*)),
        .wp-block-woocommerce-cart-order-summary-totals-block:empty {
            display: none;
        }

        .wp-block-woocommerce-cart-order-summary-block {
            border-bottom: none;
            margin: 0;
            display: flex;
            flex-direction: column;
        }

        .wc-block-components-totals-footer-item {

            .wc-block-components-totals-item__label,
            .wc-block-components-totals-item__value {
                font-weight: 700;
                font-size: 16px;
            }
        }

        .wc-block-components-totals-item__description:not(:empty) {
            margin-top: 8px;
        }
    }

    .wc-block-cart__submit {
        margin-bottom: 0;

        .wc-block-cart__submit-button{
            padding: 12px 20px;
            background-color: var(--bs-primary);
            border-radius: 4px;
            color: var(--bs-body-bg);

            .wc-block-components-button__text{
                font-weight: 600;
            }

            &:hover,
            &:focus {
                color: #fff;
                background-color: var(--bs-dark-primary );
                border-color: var(--bs-dark-primary ); 
            }
        }
    }
    
    .wc-block-components-main {
        padding-inline-end: 0;
        width: 100% ;
    }

    .wc-block-components-sidebar-layout {
        align-items: flex-start;
        justify-content: space-between;
        margin: 0;
        padding-bottom: var(--wp--preset--spacing--24);
        row-gap:32px;

        &.alignwide {
            width: 100% !important;
        }
    }

    .wc-block-cart__submit {
        margin-bottom: 0;
    }

    .is-mobile,
    .is-medium,
    .is-small {
        table.wc-block-cart-items {
            .wc-block-cart-items__row {
                td {
                    padding-top: 32px; 
                }

                .wc-block-cart-item__image {
                    padding-left: 16px;

                    a {
                        padding: 8px;
                        width: 55px;
                        height: 55px;
                    }
                }

                .wc-block-cart-item__total {
                    padding-right: 16px;
                    padding-left: 5px;

                    .wc-block-components-sale-badge {
                        display: none;
                    }
                }

                &:first-child {
                    td {
                        border-top: 0;
                        padding-top: 0;
                    }
                }
            }
            &:not(.wc-block-mini-cart-items):not(:last-child) {
                .wc-block-cart-items__row {
                    border-bottom: 0;
                }
            }
        }

        &.wc-block-components-sidebar-layout {
            .wc-block-components-sidebar {
                padding: 20px;
                width: 100%;

                .wc-block-cart__totals-title {
                    display: block;
                }
            }
        }
    }

    .wp-block-woocommerce-empty-cart-block,
    .wp-block-woocommerce-product-collection[data-collection*="cross-sells"] {
        .wc-block-cart__empty-cart__title,
        > h2.wp-block-heading {
            font-size: 24px;
            margin-top: 40px;
        }

        .wc-block-product-template,
        .wc-block-grid__products {
            margin: 0;

            .wc-block-grid__product,
            .wc-block-product {
                text-align: start;
                border: 0;
                box-shadow: 0 1px 3px rgba(3,0,71,.09);
                background: var(--bs-body-bg);
                border-radius: 8px;
                margin-top: 0;
                margin-bottom: 20px;

                .wc-block-grid__product-image {
                    margin-bottom: 24px;
                    width: 100%;
                    img {
                        border-top-left-radius: .5rem ;
                        border-top-right-radius: .5rem;
                        border-bottom-left-radius: 0;
                        border-bottom-right-radius: 0;
                    }
                }

                .wc-block-grid__product-onsale {
                    border-color: var(--bs-border-color);
                    border-radius: 4px;
                    right: 10px;
                    top: 10px;
                    background-color: var(--bs-body-bg);
                    color: var(--bs-dark);
                }

                .wc-block-grid__product-title,
                .wp-block-post-title {
                    font-size: 1rem !important;
                    font-weight: 500;
                    margin-top: 0;
                    margin-bottom: 0px;
                    color: var(--bs-dark);

                    a {
                        color: var(--bs-dark);
                    }
                }

                .wc-block-grid__product-title,
                .wc-block-grid__product-price,
                .wp-block-post-title {
                    padding-right: 24px;
                    padding-left: 24px;
                    text-align: left;
                }

                .wc-block-grid__product-price {
                    margin-top: 1rem;
                    margin-bottom: 0px;
                    font-size: 14px;
                    font-weight: 700;

                    del {
                        font-size: 12px;
                        font-weight: 400;
                        color: var(--bs-secondary);
                    }
                }

                .wc-block-grid__product-add-to-cart {
                    margin-top: 16px;
                    margin-bottom: 0;
                    border-top: 1px solid  var(--bs-border-color);

                    .wp-block-button__link {
                        background-color: transparent;
                        color: #5c5776;
                        padding: 16px 24px;
                        font-size: 13px;
                        font-weight: 400;
                        line-height: 138%;
                        display: flex;
                        align-items: center;
                        justify-content: flex-start;
                        border:0;

                        &:before {
                            content: "";
                            display: inline-block;
                            width: 13px;
                            height: 13px;
                            margin-right: 8px;
                            background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24' stroke='black' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><circle cx='9' cy='21' r='1'/><circle cx='20' cy='21' r='1'/><path d='M1 1h4l2.68 13.39a2 2 0 0 0 2 1.61h9.72a2 2 0 0 0 2-1.61L23 6H6'/></svg>");
                            background-size: contain;
                            background-repeat: no-repeat;
                        }
                    }
                }

                .wp-block-button__link {
                    margin-top: 5px;
                    margin-bottom: 0;
                    border-top: 1px solid  var(--bs-border-color);
                    height: auto;
                    background-color: transparent;
                    text-align: left;
                    border-radius: 0;
                    display:block;
                }

                .star-rating {
                    display: none;
                }
            }
        }
    }
}

@media ( min-width: 768px) {
    :root :where(.wp-block-woocommerce-cart) {
        table.wc-block-cart-items {
            td {
                padding: 1rem 1.5rem;
            }

            .wc-block-cart-items__row {
                .wc-block-cart-item__quantity {
                    flex-direction: row;
                    gap: 10px;
                    align-items: center;
                }

                .wc-block-cart-item__total {
                    .wc-block-components-product-price {
                        font-weight: 500;
                    }
                }
            }
        }
        .wp-block-woocommerce-empty-cart-block { 
            .wc-block-grid.has-4-columns {
                margin-top: 20px;

                .wc-block-grid__products {
                    gap: 24px;
                    .wc-block-grid__product {
                        margin-bottom: 0;
                        flex: 0 0 calc((100% - 72px) / 4);
                        max-width: calc((100% - 72px) / 4);
                    }
                }
            }
        }
    }
}

@media (min-width: 1200px) {
    :root :where(.wp-block-woocommerce-cart) {
        .wc-block-components-sidebar-layout {
            .wc-block-components-main {
                width: 68%;
                padding-right: 2.15%;
            }

            .wp-block-woocommerce-cart-totals-block { 
               max-width: 356px;
           }
       }
   }
}


